Defines | Typedefs | Functions | Variables

# wizard.c File Reference

`#include "wizard/studio.h"`
`#include "wizard/client.h"`
`#include "wizard/configure.h"`
`#include "wizard/hash.h"`
`#include "wizard/log.h"`
`#include "wizard/magick.h"`
`#include "wizard/memory_.h"`
`#include "wizard/mime.h"`
`#include "wizard/random_.h"`
`#include "wizard/resource_.h"`
`#include "wizard/semaphore.h"`
`#include "wizard/semaphore-private.h"`
`#include "wizard/string_.h"`
`#include "wizard/utility.h"`
`#include "wizard/wizard.h"`

## Defines
#define | WIZARDSTOOLKIT_RETSIGTYPE void
#define | SIG_DFL ((SignalHandler *) 0)
#define | SIG_ERR ((SignalHandler *) -1)
#define | SIGMAX 64
## Typedefs
typedef WIZARDSTOOLKIT_RETSIGTYPE | SignalHandler (int)
## Functions
static void | WizardExitHandler (void)
static SignalHandler * | SetWizardSignalHandler (int signal_number, SignalHandler *handler)
static void | WizardSignalHandler (int signal_number)
static SignalHandler * | RegisterWizardSignalHandler (int signal_number)
WizardExport void | WizardsToolkitGenesis (const char *path)
WizardExport void | WizardsToolkitTerminus (void)
## Variables
static SignalHandler * | signal_handlers [SIGMAX] = { (SignalHandler *) NULL }
static volatile WizardBooleanType | instantiate_wizard = WizardFalse
static volatile WizardBooleanType | instantiate_wizardstoolkit = WizardFalse

## Define Documentation

#define SIG_DFL ((SignalHandler *) 0)

Referenced by RegisterWizardSignalHandler().

#define SIG_ERR ((SignalHandler *) -1)

Referenced by RegisterWizardSignalHandler(), and SetWizardSignalHandler().

#define SIGMAX 64

#define WIZARDSTOOLKIT_RETSIGTYPE void

## Typedef Documentation

typedef WIZARDSTOOLKIT_RETSIGTYPE SignalHandler(int)

## Function Documentation

static SignalHandler* RegisterWizardSignalHandler | ( | int | signal_number | ) | `[static]`

References ConfigureEvent, GetWizardModule, LogWizardEvent(), SetWizardSignalHandler(), SIG_DFL, SIG_ERR, and WizardSignalHandler().

Referenced by WizardsToolkitGenesis().

static SignalHandler* SetWizardSignalHandler | ( | int | signal_number,
|  | SignalHandler * | handler |
| ) |  |  | `[static]`

References SIG_ERR.

Referenced by RegisterWizardSignalHandler(), and WizardSignalHandler().

static void WizardExitHandler | ( | void |  | ) | `[static]`

References WizardsToolkitTerminus().

static void WizardSignalHandler | ( | int | signal_number | ) | `[static]`

References AsynchronousResourceComponentTerminus(), instantiate_wizard, SetWizardSignalHandler(), and signal_handlers.

Referenced by RegisterWizardSignalHandler().

WizardExport void WizardsToolkitGenesis | ( | const char * | path | ) |

References ConfigureComponentGenesis(), CopyWizardString(), GetEnvironmentValue(), GetExecutionPath(), GetPathComponent(), HeadPath, instantiate_wizardstoolkit, IsEventLogging(), LockWizardMutex(), LogComponentGenesis(), WizardPathExtent, MimeComponentGenesis(), RandomComponentGenesis(), RegisterWizardSignalHandler(), RelinquishWizardMemory(), ResourceComponentGenesis(), SemaphoreComponentGenesis(), SetClientName(), SetClientPath(), SetLogEventMask(), signal_handlers, TailPath, UnlockWizardMutex(), and WizardFalse.

WizardExport void WizardsToolkitTerminus | ( | void |  | ) |

References instantiate_wizardstoolkit, LockWizardMutex(), LogComponentTerminus(), MimeComponentTerminus(), RandomComponentTerminus(), ResourceComponentTerminus(), SemaphoreComponentTerminus(), UnlockWizardMutex(), and WizardFalse.

Referenced by DefaultFatalErrorHandler(), and WizardExitHandler().

## Variable Documentation

volatile WizardBooleanType instantiate_wizard = WizardFalse`[static]`

Referenced by WizardSignalHandler().

volatile WizardBooleanType instantiate_wizardstoolkit = WizardFalse`[static]`

Referenced by WizardsToolkitGenesis(), and WizardsToolkitTerminus().

SignalHandler* signal_handlers[SIGMAX] = { (SignalHandler *) NULL }`[static]`

Referenced by WizardSignalHandler(), and WizardsToolkitGenesis().